## Bsoft program

# btrack

### Usage: btrack [options] input.star [input.star]

Track fiducial markers in a tomographic tilt series of micrographs.

### Actions:

-all | Select all markers.
-updatematrix | Update micrograph matrices from tilt and axis angles.
-pick 1,20,1 | Pick seed markers in reference image (1) or all images (2),
| excluding the distance from the edge (in pixels).
| and a flag to add to rather than replace existing markers.
-generatemarkers | Generates markers for all micrographs from a seed.
-findaxis 10,1.5,-30,50 | Finds the tilt axis using seed markers and micrographs
| near the given tilt angle and with the axis angle step size,
| start and end (default axis parameters: 1,-180,180).
-track 5,1.5 | Track markers: number of iterations and residual target (default 10% of marker radius).
| using zero-tilt reference markers as seed.
-crossmarker | Cross-correlate markers during z-search (default real space correlate).
-recenter | Recenter z coordinates during tracking (default not).
-refine shifts | Refine marker parameters:
| markers: Refine marker micrograph positions.
| z: Refine marker z positions.
| origins: Refine micrograph origins.
| scales: Refine micrograph scales.
| views: Refine view transforms.
| all: Refine origins, scales and views simultaneously.
| 8,v,o,z: Refine iteratively in sequence views, origins and z's.
-resetmodel | Reset the x and y marker coordinates to that of the zero-degree tilt image.
-angles | Calculate micrograph orientation angles.
-check | Determine if markers all fall within micrograph boundaries.
-fix | Fix markers falling outside micrograph boundaries.
-errors 1.6 | Show errors above this threshold (distance in pixels).
-exclude 0,1,134-140 | Exclude these micrographs (can be "none").
-deselect 5-9,33 | Deselect markers by id from all micrographs and models.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-resolution 900,300 | High and low resolution limits for cross-correlation (default 0.1,1000 angstrom).
-origin 110,50,44 | Origin for tilt axis (default 0,0,0).
-axis 74.7 | Tilt axis angle relative to x-axis (default 0 or from parameter file).
-tilt -65,1.5 | Tilt series start and step size (default from parameter file).
-reference 48 | Reference image for alignment (default closest to zero tilt).
-edge 23,12 | Smooth the edge to a given width, with gaussian decay of a given width.
-goldradius 12 | Gold particle radius (default from parameter file).
-shiftlimit 155.5 | Limit on micrograph shift search in pixels (default 25% of micrograph width).
-thickness 2156.5 | Estimated tomogram thickness (default and minimum 1000 angstrom).

### Output:

-output file.star | Output parameter file (produces numbered files for tracking).
-image file.pif | Output multi-image file with aligned images.
-Postscript out.ps | Postscript output with marker error plots.

Bsoft version 2.0.3-20180917 (64 bit)